#include "vtkInfoSource.h"

#include "vtkObjectFactory.h"

vtkStandardNewMacro(vtkInfoSource);

//----------------------------------------------------------------------------
vtkInfoSource::vtkInfoSource()
{
  this->SetNumberOfInputPorts(0);
}

//----------------------------------------------------------------------------
vtkInfoSource::~vtkInfoSource()
{
}

//----------------------------------------------------------------------------
void vtkInfoSource::PrintSelf(ostream& os, vtkIndent indent)
{
  this->Superclass::PrintSelf(os, indent);
}

void vtkInfoSource::SetInputPoint (double _arg1, double _arg2, double _arg3)
{
  if ((this->InputPoint[0] != _arg1)||(this->InputPoint[1] != _arg2)||(this->InputPoint[2] != _arg3))
  {
    this->InputPoint[0] = _arg1;
    this->InputPoint[1] = _arg2;
    this->InputPoint[2] = _arg3;
    this->CalculatedPoint[0] = 2*_arg1;
    this->CalculatedPoint[1] = 2*_arg2;
    this->CalculatedPoint[2] = 2*_arg3;
    cout<<"SETTING CalculatedPoint="<<this->CalculatedPoint[0]<<","<<
      this->CalculatedPoint[1]<<","<<this->CalculatedPoint[2]<<","<<endl;
    this->Modified();
  }
};

void vtkInfoSource::SetInputPoint (double _arg[3])
{
  this->SetInputPoint (_arg[0], _arg[1], _arg[2]);
};
